function taylorenegativex(x, n)
% This function calculates the Taylor series approximation for e^-x for 2
% to n terms and determines the improvement in accuracy with the addition
% of each term.

% Input Variables
% x is the function variable
% n is the maximum number of terms in the Taylor series

% Only the positive value of x is desired
if (x < 0) 
    x = abs(x);
end

% Additional Variables
term = 1;               % first term in the series
summation(1) = term;    % summation term
enegativex = exp(-x);   % true value of e^-x
err(1) = abs(enegativex - summation(1));
fprintf(' n    Series sum    Absolute error Percent relative error\n')
for i = 2:n
    term = term*(-x)/(i-1); % for negative term series
    summation = summation + term;
    % Absolute error after addition of each term
    err(i) =  abs(summation - enegativex);
    fprintf('%2d %14.10f %14.10f %18.10f\n',i,summation,err(i),err(i)/...
        enegativex*100) 
end
plot([1:n], err, 'k-x','LineWidth',2)
xlabel('Number of terms in e^-^x series','FontSize',16)
ylabel('Absolute error','FontSize',16)
title(['Truncation error changes with number of terms,x =',num2str(x)],...
    'FontSize',14)
set(gca,'FontSize',16,'LineWidth',2)


    
