%% Mountain Climbing and Oxygen Deprivation at High Altitudes

%% Data 
%Group 1 Height = 2000 m
g1 = [215 241 159 222 211 178 196];
%Group 2 Height = 4000 m
g2 = [221 196 235 188 190 196 147];
%Group 3 Height = 6000 m
g3 = [250 223 196 249 181 212 208];
%Group 4 Height = 8000 m
g4 = [141 170 184 167 175 170 155];

%% Normal Probability Plot
% Calculating ith quantiles
noofintervals = length([g1 g2 g3 g4]);
int = [1:noofintervals]-0.5;
ithquantiles = int/noofintervals;

% Calculating the z quantiles
zquantiles = norminv(ithquantiles);
figure;
%Calculating x values
g1dev = g1 - mean(g1);
g2dev = g2 - mean(g2);
g3dev = g3 - mean(g3);
g4dev = g4 - mean(g4);
dev = sort([g1dev g2dev g3dev g4dev]);

plot(zquantiles, dev,'k+','LineWidth',2)
set(gca,'LineWidth',2,'FontSize',16)
xlabel('{\itz} Quantiles','FontSize',16,'FontName','Arial')
ylabel('Deviations ({\itx_i_j} - {\itx_i_\cdot})','FontSize',16,'FontName','Arial')
axis([-3 3 -60 50])


%% SS and MS calculations
SSwithin = sum([g1dev.^2 g2dev.^2 g3dev.^2 g4dev.^2])
df = length([g1dev g2dev g3dev g4dev]) - 4
MSwithin = SSwithin/df

grandmean = mean([g1 g2 g3 g4])
SSamong = (([mean(g1) mean(g2) mean(g3) mean(g4)] - grandmean).^2);
SSamong = [length(g1) length(g2) length(g3) length(g4)]*SSamong'
df = 4 - 1
MSamong = SSamong/df

%% Error Bars
SEM = [std(g1)/sqrt(length(g1)) std(g2)/sqrt(length(g2)) ...
    std(g3)/sqrt(length(g3)) std(g4)/sqrt(length(g4))];
height = [2000 4000 6000 8000];
figure;
errorbar(height, [mean(g1) mean(g2) mean(g3) mean(g4)], SEM,'ko', ...
    'MarkerSize',10,'LineWidth',2)
set(gca,'LineWidth',2,'FontSize',16)
xlabel('Altitude in m','FontSize',16,'FontName','Arial')
ylabel('Arterial Oxygen Content in ml/liter','FontSize',16, ...
    'FontName','Arial')
axis([0 10000 0 250])

