function fixedpointmethod(gfunc, ffunc, x0, tolx, tolfx)
% Fixed-Point Iteration used to solve non-linear equation in x

% Input variables
% gfunc : nonlinear function g(x) whose fixed-point we seek
% ffunc : nonlinear function f(x) whose zero we seek
% x0   : initial guess value
% tolx : tolerance for error in estimating root
% tolfx: tolerance for error in function value at solution

% Other variables
maxloops = 20;
fprintf(' i     x(i+1)     f(x(i))  \n');
% Iterative solution scheme
for i = 1:maxloops
    x1= feval(gfunc, x0);
    fatx1 = feval(ffunc,x1);
    fprintf('%2d  %9.8f  %7.6f \n',i,x1,fatx1);
    if (abs(x1 - x0) <=tolx && abs(fatx1) <= tolfx) 
        break % Jump out of the for loop
    end
    x0 = x1;
end
