function SSE = PixelSSE(p)
% Calculates the SSE between the observed pixel intensity and the 
% Gaussian function 
% f = a1/sqrt(2*pi)/sig*exp(-(x-mu)^2/(2*sig^2)) + a2
 
global data

% model parameters
mu = p(1);  % mean
sig = p(2); % standard deviation 
a1 = p(3);  % rescales the distribution
a2 = p(4);  % baseline

SSE = sum((data(:,2) - a1./sqrt(2*pi)./sig.* ...
    exp(-(data(:,1) - mu).^2/(2*sig.^2)) - a2).^2);