function SSE = PixelSSE2(p)
% Calculates the SSE between the observed pixel intensity and the 
% Gaussian function 
% f = a1*(1/sqrt(2*pi*sig^2)*exp(-(x-mu1)^2/(2*sig^2))+...
% 1/sqrt(2*pi*sig^2)*exp(-(x-mu2)^2/(2*sig^2))) + a2

global data

% model parameters
mu1 = p(1);  % mean of first peak
mu2 = p(2);  % mean of second peak
sig = p(3);  % standard deviation 
a1 = p(4);   % rescales the distribution
a2 = p(5);   % baseline

SSE = sum((data(:,2)-a1.* ...
    (1/sqrt(2*pi*sig.^2)*exp(-(data(:,1)-mu1).^2/(2*sig.^2)) + ...
    1/sqrt(2*pi*sig.^2)*exp(-(data(:,1)-mu2).^2/(2*sig.^2)))-a2).^2);
